## org.apache.batik.bridge.svg12
Class DefaultContentSelector.SelectedNodes

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultContentSelector.SelectedNodes

All Implemented Interfaces:
  org.w3c.dom.NodeList

Enclosing class:
  DefaultContentSelector

    protected class DefaultContentSelector.SelectedNodes

extends java.lang.Object
implements org.w3c.dom.NodeList

Implementation of NodeList that contains the nodes that matched this selector.

Field Summary
`protected java.util.ArrayList` `nodes` The selected nodes.

Constructor Summary
`DefaultContentSelector.SelectedNodes()` Creates a new SelectedNodes object.

Method Summary
`int` `getLength()` DOM: Implements `NodeList.getLength()`.
`org.w3c.dom.Node` `item(int index)` DOM: Implements `NodeList.item(int)`.
`protected boolean` `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodes

    protected java.util.ArrayList nodes

  The selected nodes.

Constructor Detail

### DefaultContentSelector.SelectedNodes

    public DefaultContentSelector.SelectedNodes()

  Creates a new SelectedNodes object.

Method Detail

### update

    protected boolean update()

### item

    public org.w3c.dom.Node item(int index)

  DOM: Implements `NodeList.item(int)`.

  Specified by:
    `item` in interface `org.w3c.dom.NodeList`

### getLength

    public int getLength()

  DOM: Implements `NodeList.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.NodeList`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.